<!-- eslint-disable @angular-eslint/template/eqeqeq -->
<div class="mt-3">
    <div class="row">
        <div class="my-2">
            <div class="d-flex justify-content-between">
                <h4>{{getFullName(userList?.owner)}}</h4>
                <span class="text-muted">{{userList?.dateOfApplication | date: 'dd MMMM yyyy, HH:mm'}}</span>
            </div>
            <div>
                <span class="small d-block text-muted">{{userList?.number}}</span>
                <span class="small d-block text-muted">{{userList?.email}}</span>
            </div>
        </div>
        <div class="my-2">
            <h4>{{'employee.dataOrganization' | translate}}</h4>
            <ul>
                <li>
                    <span class="fs-6 text-muted">{{'employee.dataName' | translate}}</span>
                    <span class="float-end">{{userList?.organizationName}}</span>
                </li>
                <li>
                    <span class="text-muted">{{'employee.activity' | translate}}</span>
                    <span class="float-end">{{userList?.activityType}}</span>
                </li>
            </ul>
        </div>
        <div class="mb-3">
            <h4>{{'employee.attachments' | translate}}</h4>
            <ul class="ps-0">
                <li class="border-bottom" id="list"
                    *ngFor="let blob of userList?.documents; let i = index">
                    <div class="d-flex py-2">
                    <div class="text-muted flex-wrap w-75 me-auto">{{blob?.title}}</div>
                    <div class=" d-flex flex-wrap justify-content-end">
                        <span><a class="link-dark mx-3 text-nowrap"
                                (click)="onSaveDocument(blob, blob.fileName)"><i class="bi bi-file-earmark-arrow-down"></i> {{blob?.fileName}}</a></span>
                        <div>
                            <button class="acc btn btn-outline-secondary btn-sm m-1"
                            [class.border-0]="blob?.verified"
                            (click)="verifyDocument(blob.id)" 
                            [disabled]="blob?.verified"
                            *ngIf="permission?.ManageDocuments && !blob?.needsRevision"
                                >{{blob?.verified ? 'Одобрено' : 'Одобрить'}}</button>
                            <button class="acc btn btn-outline-secondary btn-sm m-1" 
                            (click)="revisionDocument(blob.id)"
                            *ngIf="permission?.ManageDocuments && !blob?.needsRevision"
                            >{{'employee.cancel' | translate}}</button>
                        </div>
                    </div>
                    </div>
                    <div class="d-flex justify-content-between mb-2" *ngIf="blob?.needsRevision">
                        <div class="my-auto">
                            <span class="text-muted small" *ngIf="!!blob?.revisionComment">{{'employee.request' | translate}}</span>
                            <span class="small text-muted"> {{blob?.revisionComment}} </span>
                            <span class="small"> {{blob?.revisionRequestDate | date: "dd MMMM yyyy, HH:mm"}}</span>
                        </div>
                        <button class="btn" (click)="history(blob?.id)"><i class="bi bi-clock-history"></i></button>
                    </div>
                </li>
            </ul>
        </div>
        <div>
            <!-- <button class="btn btn-outline-dark" type="button" (click)="accept()" *ngIf="permission?.RejectApplication">Одобрить</button> -->
            <button class="btn btn-outline-secondary mx-2 p-1" (click)="cancel()"
                *ngIf="permission?.ManageApplication">{{'employee.cancel' | translate}}</button>
            <button class="btn btn-outline-secondary me-2 p-1" (click)="action()"
                *ngIf="permission?.AssignEmployee || permission?.SendApplication">{{'employee.action' | translate}}</button>
            <button class="btn btn-outline-secondary p-1" *ngIf="permission?.AssignApplicationNumber"
                (click)="openModalApplicationNumber(assignNumber)">{{'employee.numberApplications' | translate}}</button>
        </div>
    </div>
</div>

<ng-template let-modal #assignNumber>
    <div class="modal-body">
        <label>{{'employee.appointNumberApplications' | translate}}</label>
        <input type="number" class="form-control" [(ngModel)]="applicationNumber">
        <button class="btn btn-secondary float-end mt-2" (click)="assignNumberOfApplication()">{{'employee.appoint' | translate}}</button>
    </div>
</ng-template>
